package com.ycwl.basic.mapper;
import com.ycwl.basic.model.pc.coupon.entity.CouponEntity;
import com.ycwl.basic.model.pc.coupon.req.CouponQueryReq;
import com.ycwl.basic.model.pc.coupon.resp.CouponRespVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface CouponMapper {
    List<CouponRespVO> selectByQuery(CouponQueryReq query);

    int updateStatus(Integer id);

    CouponEntity getById(Integer couponId);
    
    int insert(CouponEntity coupon);
    
    int updateById(CouponEntity coupon);
    
    int deleteById(Integer id);
    
    List<CouponEntity> selectList();
    
    CouponEntity selectById(Integer id);
    
    CouponEntity selectByScenicIdAndTypeAndStatus(Long scenicId, Integer type, Integer status);
}